import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:puzzlegame/cubit/game_cubit.dart';
import 'package:puzzlegame/models/game/game.dart';

class GameTopWidget extends StatelessWidget {
  const GameTopWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return currentGame.shufflingInProgress
            ? const SizedBox.shrink()
            : Text(
                '${currentGame.movesCount}',
                style: const TextStyle(
                  fontSize: 45,
                  fontWeight: FontWeight.w600,
                ),
              );
      },
    );
  }
}
